import { ApplicationCommand, PartialApplicationCommand } from "./structures/ApplicationCommand";
import { snowflake } from "./structures/Snowflake";
export declare class DiscordInteractions {
    private publicKey;
    private applicationid;
    private authToken;
    private tokenPrefix;
    constructor(opts: {
        applicationId: snowflake;
        publicKey: snowflake;
        authToken: string;
        tokenPrefix?: string;
    });
    verifySignature: (signature: string, timestamp: string, rawBody: string) => Promise<boolean>;
    getApplicationCommands: () => Promise<ApplicationCommand>;
    createApplicationCommand: (command: PartialApplicationCommand) => Promise<ApplicationCommand>;
    editApplicationCommand: (commandId: number, command: PartialApplicationCommand) => Promise<ApplicationCommand>;
    deleteApplicationCommand: (commandId: string) => Promise<import("node-fetch").Response>;
    getGuildCommands: (guildId: snowflake) => Promise<ApplicationCommand>;
    createGuildCommand: (guildId: snowflake, command: PartialApplicationCommand) => Promise<ApplicationCommand>;
    editGuildCommand: (guildId: snowflake, commandId: number, command: PartialApplicationCommand) => Promise<ApplicationCommand>;
    deleteGuildCommand: (guildId: snowflake, commandId: string) => Promise<import("node-fetch").Response>;
}
export default DiscordInteractions;
